Skip to main content
`Ctrl`+`K`

# PEPMonitorRegisterCreateFn

A function prototype for functions that do the creation when provided to `PEPMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PEPMonitorRegisterCreateFn(PetscViewer viewer,PetscViewerFormat format,void *ctx,PetscViewerAndFormat **result);

## Calling Sequence

- viewer - the viewer to be used with the `PEPMonitorRegisterFn`

- format - the format of the viewer

- ctx - a context for the monitor

- result - a `PetscViewerAndFormat` object

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPMonitorRegisterFn`, `PEPMonitorSet()`, `PEPMonitorRegister()`, `PEPMonitorFn`, `PEPMonitorRegisterDestroyFn`

## Level

advanced

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages